Subject: Re: gitweb and unicode special characters

From: "Edward Z. Yang" <[email-masked]>
Date: Fri, 12 Dec 2008 22:06:23 -0500

Jakub Narebski wrote:
> Sidenote: There is probably one exception we want to add, namely not
> escape '\r' at the end of line, to be able to deal better with DOS
> line endings (\r\n).

I'm sorry, but I have to disagree. I find being able to see \r
line-endings in the pretty-printed format is exceedingly useful for
figuring out if a file has been checked in with the wrong line-endings.
The number of files that must have \r line endings are vanishingly small
(Bat files are perhaps the one example I can think of right now).

Cheers,
Edward